%define upstream_name    AI-Gene-Sequence
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Base class of mutation methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This is a class which provides generic methods for the creation and
mutation of genetic sequences. Various mutations are provided but the
resulting mutations are not checked for a correct syntax. These classes are
suitable for genes where it is only necessary to know what lies at a given
position in a gene. If you need to ensure a gene maintains a sensible
grammar, then you should use the AI::Gene::Sequence class instead, the
interfaces are the same though so you will only need to modify your
overiding classes if you need to switch from one to the other.

A suitable use for this module might be a series of coefficients in a
polynomial expansion or notes to be played in a musical score.

This module should not be confused with the _bioperl_ modules which are
used to analyse DNA sequences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.220.0-8pclos2017
- rebuild against updates

